#!/usr/bin/env perl
use strict;
use warnings;
use feature 'say';

my @iter = glob "*";
my $line_sum = 0;
my $word_sum = 0;

for (@iter) {
    next if (-d "$_");
    next unless ($_ =~ /(txt|md)\z/);

    my $name = `wc -lm "$_" | awk '{ print \$NF}'`;
    my $line = `wc -lm "$_" | awk '{ print \$1}'`;
    my $word = `wc -lm "$_" | awk '{ print \$2}'`;

    chomp $name;
    chomp $line;
    chomp $word;

    $name =~ s/.*?\/?([^\/]+)\z/$1/;
    $word = $word - $line if $line > 1;
    $line++;
    print "$name =>\tlines: $line\twords: $word";

    $line_sum += $line;
    $word_sum += $word;
    say "";
}
say "";
say "Lines total:\t$line_sum";
say "Words total:\t$word_sum";